Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class ContactPropertyRoute

    java.lang.Object
      com.nortel.soa.oi.cct.types.ContactPropertyRoute

    public class ContactPropertyRoute

extends java.lang.Object

Java class for contactPropertyRoute complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="contactPropertyRoute">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="address" type="{http://www.nortel.com/soa/oi/cct/types}address"/>
             <element name="contact" type="{http://www.nortel.com/soa/oi/cct/types}contact"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`ContactPropertyRoute()`

Method Summary
`Address` | `getAddress()` Gets the value of the address property.
`Contact` | `getContact()` Gets the value of the contact property.
`void` | `setAddress(Address value)` Sets the value of the address property.
`void` | `setContact(Contact value)` Sets the value of the contact property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactPropertyRoute

    public ContactPropertyRoute()

Method Detail

### getAddress

    public Address getAddress()

  Gets the value of the address property.

  Returns:
    possible object is `Address`

### setAddress

    public void setAddress(Address value)

  Sets the value of the address property.

  Parameters:
    `value` - allowed object is `Address`

### getContact

    public Contact getContact()

  Gets the value of the contact property.

  Returns:
    possible object is `Contact`

### setContact

    public void setContact(Contact value)

  Sets the value of the contact property.

  Parameters:
    `value` - allowed object is `Contact`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.